var win = Ti.UI.currentWindow;

var duration = 0;
var timer;
var sound;

// Audio Files
var audioFile;
var audioFiles = [
	{'url':'audio1.mp3'},
	{'url':'audio2.mp3'},
	{'url':'audio3.mp3'}
	];
var i = 0;

// Labels
var lbl1 = Ti.UI.createLabel({
	height:15,
	width:'auto',
	right:0,
	top:0,
	font:{fontSize:12},
	backgroundColor:'transparent',
	color:'black',
	text:'This is label 1'
});
win.add(lbl1);

var lbl2 = Ti.UI.createLabel({
	height:15,
	width:'auto',
	right:0,
	top:15,
	font:{fontSize:12},
	backgroundColor:'transparent',
	color:'black',
	text:'This is label 2'
});
win.add(lbl2);

var lbl3 = Ti.UI.createLabel({
	height:15,
	width:'auto',
	left:100,
	top:0,
	font:{fontSize:12},
	backgroundColor:'transparent',
	color:'black',
	text:'This is label 3'
});
win.add(lbl3);

var lbl4 = Ti.UI.createLabel({
	height:15,
	width:'auto',
	left:100,
	top:15,
	font:{fontSize:12},
	backgroundColor:'transparent',
	color:'black',
	text:'This is label 4'
});
win.add(lbl4);

// Timer
var lblTimer = Ti.UI.createLabel({
	top:0,
	left:5,
	width:'auto',
	height:15,
	font:{fontSize:12},
	text:'00:00:00'
});
win.add(lblTimer);

// Audio
var playAudio = Titanium.UI.createButton({
	title:'Play',
	height:30,
	width:80,
	top:70,
	visible:true
});
win.add(playAudio);

// Next
var nextButton = Ti.UI.createButton({
	title:'Next',
	height:30,
	width:80,
	top:150,
	visible:true
});
win.add(nextButton);

// Close
var closeButton = Ti.UI.createButton({
	title:'Close',
	height:30,
	width:100
});
win.add(closeButton);

////////////////////////////////////////////////////////////////////////////////
function padString(inString){
	try {
		if (inString.length == 1) {
			inString = "0" + inString;
		}
		return inString;
	}
	catch (ex) {
		Ti.API.info("error in padString " + ex);
	}
}
////////////////////////////////////////////////////////////////////////////////
function formatTime(elapsedSeconds){
	try {
		var hours = 0;
		var mins = 0;
		var secs = 0;
		var formattedTime = "";
		hours = parseInt(elapsedSeconds / 3600, 10);
		minutes = parseInt((elapsedSeconds / 60) - (hours * 60), 10);
		secs = parseInt(elapsedSeconds % 60, 10);
		formattedTime = padString(hours.toString()) + ":" + padString(minutes.toString()) + ":" + padString(secs.toString());
		return formattedTime;
	}
	catch (ex) {
		Ti.API.info("error in formatTime " + ex);
	}
}
////////////////////////////////////////////////////////////////////////////////
function tick(){
	try {
		duration += 1;
		lblTimer.text = formatTime(duration);
	}
	catch (ex) {
		Ti.API.info("error in tick " + ex);
	}
}
////////////////////////////////////////////////////////////////////////////////
function stopAudio() {
	Ti.API.info('playAudio.visible ' + playAudio.visible);
// SOUND
	Ti.API.info('sound.playing ' + sound.playing);
	if (playAudio.visible && sound.playing) {
		sound.stop();
		sound.release();
	}
}
////////////////////////////////////////////////////////////////////////////////
function exit() {
	stopAudio();
	Ti.App.fireEvent('refresh',{refreshType:'item'});
	win.close();
}
////////////////////////////////////////////////////////////////////////////////
function setAudioFile(){
	var audioFile = Titanium.Filesystem.getFile(Ti.Filesystem.resourcesDirectory, audioFiles[i].url);
	if (audioFile) {
		Ti.API.info('audioFile: ' + audioFile.nativePath);
		sound = Titanium.Media.createSound({
			url:audioFile.nativePath
		});
		playAudio.title = 'Play';
	}
}
////////////////////////////////////////////////////////////////////////////////
closeButton.addEventListener('click', function(){
	exit();
});
////////////////////////////////////////////////////////////////////////////////
playAudio.addEventListener('click', function() {
// SOUND
	if (sound.playing) {
		sound.pause();
		playAudio.title = 'Play';
	}
	else {
		sound.play();
		playAudio.title = 'Pause';
	}
});
////////////////////////////////////////////////////////////////////////////////
nextButton.addEventListener('click', function() {
	if (sound.playing) {
		sound.stop();
	}
	i++;
	if (i == audioFiles.length) {
		i = 0;
	}
	setAudioFile();
});
////////////////////////////////////////////////////////////////////////////////



timer = setInterval(tick,1000);
setAudioFile();
