var win = Ti.UI.currentWindow;
var items = [
	{'itemID':1, 'name':'item 1', 'inProgress':true},
	{'itemID':2, 'name':'item 2', 'inProgress':false},
	{'itemID':3, 'name':'item 3', 'inProgress':true},
	{'itemID':4, 'name':'item 4', 'inProgress':true},
	{'itemID':5, 'name':'item 5', 'inProgress':true},
	{'itemID':6, 'name':'item 6', 'inProgress':false},
	{'itemID':7, 'name':'item 7', 'inProgress':false},
	{'itemID':8, 'name':'item 8', 'inProgress':false},
	{'itemID':9, 'name':'item 9', 'inProgress':true},
	{'itemID':10, 'name':'item 10', 'inProgress':false},
	{'itemID':11, 'name':'item 11', 'inProgress':true},
	{'itemID':12, 'name':'item 12', 'inProgress':false},
	{'itemID':13, 'name':'item 13', 'inProgress':false},
	{'itemID':14, 'name':'item 14', 'inProgress':false}
	];
var itemTblData = [];
var tblViewRow;
var lblRowTitle;
var lblRowMessage;


var mainWindowObj = {	
	url:'mainWindow.js',
	title:'MainWindow',
	backgroundColor:'#AAAAAA',
	navBarHidden:true
	};

var itemTblVw = Ti.UI.createTableView({
	style: Titanium.UI.iPhone.TableViewStyle.GROUPED
});
win.add(itemTblVw);

// MAIN
var mainWindow = Ti.UI.createWindow(mainWindowObj);
//var mainWindow = Ti.UI.createWindow({
//	url:'mainWindow.js',
//	title:'MainWindow',
//	backgroundColor:'#AAAAAA',
//	navBarHidden:true
//});


// FUNCTIONS
function populateItem() {
	try {
		itemTblData = [];
		for (i=0;i<items.length;i++) {
			Ti.API.info('item: ' + items[i].itemID);
			tblViewRow = Ti.UI.createTableViewRow();
			tblViewRow.selectedBackgroundColor = 'green';
			tblViewRow.height = 50;
			tblViewRow.itemID = items[i].itemID;
			tblViewRow.itemName = items[i].name;
			tblViewRow.className = 'item';
			
			lblRowTitle = Ti.UI.createLabel({
				left:10,
				width:180,
				height:20,
				font:{fontSize:14,fontWeight:'bold'},
				text:items[i].name
			});
			tblViewRow.add(lblRowTitle);

			lblRowMessage = Ti.UI.createLabel({
				right:10,
				width:'auto',
				height:20,
				color:'red',
				font:{fontSize:12}
			});
			if (items[i].inProgress > 0) {
				lblRowMessage.text = 'In Progress';
			}
			else {
				lblRowMessage.text = '';
			}				
			tblViewRow.add(lblRowMessage);
			
			itemTblData.push(tblViewRow);
		}
		itemTblVw.data = itemTblData;
	} 
	catch (ex) {
		Titanium.API.info("error in populate prdouct " + ex);
	}
}

// MAIN PROCESSING
populateItem();

// Event Listeners
itemTblVw.addEventListener('click',function(e){
	try {
		Ti.API.info('In click table view');
		Titanium.UI.currentTab.open(mainWindow, {
			animated: true
		});
	} 
	catch (ex) {
		Titanium.API.info("error in item tableview event listener " + ex);
	}
});
Titanium.App.addEventListener('refresh',function(e)
{
	Ti.API.info('refresh requested for ' + e.refreshType);
	mainWindow = null;
	mainWindow = Ti.UI.createWindow(mainWindowObj);
	switch (e.refreshType) {
		case 'item':
			Ti.API.info('before refresh item');
			populateItem();
			break;
		case 'none':
			Ti.API.info('none');
			break;
	}
});

